View Issue Details

IDProjectCategoryView StatusLast Update
0000043SymmetricDSNew Featurepublic2015-01-06 17:27
ReporterAssigned Toelong 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version3.7.0Fixed in Version3.7.0 
Summary0000043: Expressions for target_schema_name
Description"Add a feature that allows expressions in the target_schema_name of the sym_trigger entry. Some deployments are creating separate schemas as a way to partition data. This could be expressed with ""${nodeId}"" instead of creating extra node groups and triggers."
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 503a394f

2014-12-26 15:37:44

erilong

Details Diff
0000043: Expressions for target_schema_name
0000043
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/reader/ExtractDataReader.java Diff File

SymmetricDS: master 4f871fcd

2014-12-26 16:14:24

erilong

Details Diff
0000043: Expressions for target_schema_name
0000043
mod - symmetric-assemble/src/asciidoc/configuration/routers.ad Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2012-06-18 14:12 admin Target Version 3.1.0 =>
2014-02-04 10:22 elong Priority high => normal
2014-02-04 10:22 elong Severity minor => feature
2014-02-04 10:22 elong Fixed in Version 3.1.0 =>
2014-02-04 10:23 elong Fixed in Version => 3.6.0
2014-02-04 15:39 admin Fixed in Version 3.6.0 =>
2014-02-04 15:39 admin Target Version => 3.6.0
2014-02-13 10:29 elong Priority normal => high
2014-03-03 09:38 chenson Target Version 3.6.0 =>
2014-03-03 09:39 chenson Assigned To => elong
2014-03-03 09:39 chenson Status new => assigned
2014-03-03 09:39 chenson Target Version => 3.6.0
2014-06-06 16:11 chenson Target Version 3.6.0 => 3.7.0
2014-12-04 10:56 chenson Priority high => low
2014-12-26 16:00 Changeset attached => SymmetricDS trunk r9124
2014-12-26 17:00 Changeset attached => SymmetricDS trunk r9125
2015-01-05 12:45 elong Status assigned => resolved
2015-01-05 12:45 elong Fixed in Version => 3.7.0
2015-01-05 12:45 elong Resolution open => fixed
2015-01-06 17:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 4f871fcd
2015-07-30 21:49 Changeset attached => SymmetricDS master 503a394f